Package com.trilead.ssh2

# Class SFTPv3FileHandle

java.lang.Object
com.trilead.ssh2.SFTPv3FileHandle

public class SFTPv3FileHandle extends Object
A `SFTPv3FileHandle`.

## Method Summary

Modifier and Type
Method
Description
`SFTPv3Client`
`getClient()`
Get the SFTPv3Client instance which created this handle.
`boolean`
`isClosed()`
Check if this handle was closed with the `SFTPv3Client.closeFile(SFTPv3FileHandle)` method of the `SFTPv3Client` instance which created the handle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getClient

public SFTPv3Client getClient()
Get the SFTPv3Client instance which created this handle.

Returns:
  A SFTPv3Client instance.

### isClosed

public boolean isClosed()
Check if this handle was closed with the `SFTPv3Client.closeFile(SFTPv3FileHandle)` method of the `SFTPv3Client` instance which created the handle.

Returns:
  if the handle is closed.